---
id: presentationquerymessage
title: "PresentationQueryMessage"
description: ""
sidebar_label: "PresentationQueryMessage"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"@context":["string"],"type":"PresentationQueryMessage","presentationDefinition":{"id":"44d1f3d6-f65d-4a7c-84db-f92ba826305e","input_descriptors":[{"id":"44d1f3d6-f65d-4a7c-84db-f92ba826305e","name":"Example Input Descriptor","purpose":"Example Purpose","format":{"jwt_vp":{"alg":["ES256"]}},"constraints":{"fields":[],"limit_disclosure":"preferred"}}],"name":"Example Presentation Definition","purpose":"Example Purpose","format":{"jwt_vp":{"alg":["ES256"]}}},"scope":["https://example.com/credential-1"]}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"PresentationQueryMessage"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"@context":{"type":"array","items":{"type":"string"}},"type":{"type":"string","example":"PresentationQueryMessage"},"presentationDefinition":{"type":"object","properties":{"id":{"type":"string","example":"44d1f3d6-f65d-4a7c-84db-f92ba826305e"},"input_descriptors":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"44d1f3d6-f65d-4a7c-84db-f92ba826305e"},"name":{"type":"string","example":"Example Input Descriptor"},"purpose":{"type":"string","example":"Example Purpose"},"format":{"example":{"jwt_vp":{"alg":["ES256"]}},"allOf":[{"type":"object","properties":{"jwt_vp":{"example":{"alg":["ES256"]},"allOf":[{"type":"object","properties":{"alg":{"example":["Ed25519"],"type":"array","items":{"type":"string"}}},"required":["alg"],"title":"JwtVpClaimFormat"}]}},"title":"Format"}]},"constraints":{"example":{"fields":[],"limit_disclosure":"preferred"},"allOf":[{"type":"object","properties":{"fields":{"example":[{"path":["$.example"],"id":"example-field","purpose":"Example purpose","name":"Example Name","filter":{"type":"string","pattern":"^[A-Za-z]+$"},"optional":false}],"type":"array","items":{"type":"object","properties":{"path":{"example":["$.example"],"type":"array","items":{"type":"string"}},"id":{"type":"string","example":"field-id"},"purpose":{"type":"string","example":"Field purpose"},"name":{"type":"string","example":"Field name"},"filter":{"example":{"type":"string","pattern":"^[A-Za-z]+$"},"allOf":[{"type":"object","properties":{"const":{"type":"object","example":"example-const"},"enum":{"example":[1,"two"],"type":"array","items":{"type":"number"}},"exclusiveMinimum":{"type":"object","example":0},"exclusiveMaximum":{"type":"object","example":100},"format":{"type":"string","example":"date-time"},"minLength":{"type":"number","example":1},"maxLength":{"type":"number","example":255},"minimum":{"type":"object","example":0},"maximum":{"type":"object","example":100},"not":{"example":null,"allOf":[{"type":"object","properties":{"const":{"type":"object","example":"example-const"},"enum":{"example":[1,"two"],"type":"array","items":{"type":"number"}},"exclusiveMinimum":{"type":"object","example":0},"exclusiveMaximum":{"type":"object","example":100},"format":{"type":"string","example":"date-time"},"minLength":{"type":"number","example":1},"maxLength":{"type":"number","example":255},"minimum":{"type":"object","example":0},"maximum":{"type":"object","example":100},"not":{"example":null,"allOf":["circular(FilterItems)"]},"pattern":{"type":"string","example":"^[A-Za-z]+$"},"contains":{"example":null,"allOf":["circular(FilterItems)"]},"items":{"type":"object","example":{"property":{"type":"string","format":"default"}}}},"title":"FilterItems"}]},"pattern":{"type":"string","example":"^[A-Za-z]+$"},"contains":{"example":null,"allOf":[{"type":"object","properties":{"const":{"type":"object","example":"example-const"},"enum":{"example":[1,"two"],"type":"array","items":{"type":"number"}},"exclusiveMinimum":{"type":"object","example":0},"exclusiveMaximum":{"type":"object","example":100},"format":{"type":"string","example":"date-time"},"minLength":{"type":"number","example":1},"maxLength":{"type":"number","example":255},"minimum":{"type":"object","example":0},"maximum":{"type":"object","example":100},"not":{"example":null,"allOf":["circular(FilterItems)"]},"pattern":{"type":"string","example":"^[A-Za-z]+$"},"contains":{"example":null,"allOf":["circular(FilterItems)"]},"items":{"type":"object","example":{"property":{"type":"string","format":"default"}}}},"title":"FilterItems"}]},"items":{"type":"object","example":{"property":{"type":"string","format":"default"}}},"type":{"type":"string","example":"string"}},"required":["type"],"title":"Filter"}]},"optional":{"type":"boolean","example":true}},"required":["path"],"title":"Field"}},"limit_disclosure":{"type":"string","enum":["required","preferred"],"example":"preferred"}},"title":"Constraint"}]}},"required":["id","constraints"],"title":"InputDescriptor"}},"name":{"type":"string","example":"Example Presentation Definition"},"purpose":{"type":"string","example":"Example Purpose"},"format":{"example":{"jwt_vp":{"alg":["ES256"]}},"allOf":[{"type":"object","properties":{"jwt_vp":{"example":{"alg":["ES256"]},"allOf":[{"type":"object","properties":{"alg":{"example":["Ed25519"],"type":"array","items":{"type":"string"}}},"required":["alg"],"title":"JwtVpClaimFormat"}]}},"title":"Format"}]}},"required":["id","input_descriptors"],"title":"PresentationDefinition"},"scope":{"example":["https://example.com/credential-1"],"type":"array","items":{"type":"string"}}},"required":["@context","type"],"title":"PresentationQueryMessage"}}
  schemaType={"response"}
>
  
</Schema>
            